/*
 * Class LINEAR [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2019 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2019 [] = {0xFF01,1551,2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2019 [] = {0xFF01,2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2019 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2019 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2019 [] = {0xFF01,2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2019 [] = {0xFF01,2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2019 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2019 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2019 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2019 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2019 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2019 [] = {2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2019 [] = {0xFF01,2018,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2019 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2019 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2019 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2019 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2019[] = {
	{EIF_GENERIC(NULL), 8916, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2019), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2019), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2019), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2019), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2019), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2019), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2019), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2019), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2019), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2019), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2019), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2019), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2019), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2019), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2019), 8915, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2019), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8906, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8907, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2019), 8908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2019), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8914, 0xFFFFFFFF},
};
void Init2019(void)
{
	IDSC(desc_2019, 0, 2018);
	IDSC(desc_2019 + 1, 1, 2018);
	IDSC(desc_2019 + 32, 1134, 2018);
	IDSC(desc_2019 + 41, 1444, 2018);
	IDSC(desc_2019 + 50, 1534, 2018);
}


#ifdef __cplusplus
}
#endif
